## r-cran-colourpicker 1.0+dfsg

=== DESCRIPTION ===
Package: colourpicker
Type: Package
Title: A Colour Picker Tool for Shiny and for Selecting Colours in
        Plots
Version: 1.0
Authors@R: c(
    person("Dean", "Attali", email = "daattali@gmail.com",
    role = c("aut", "cre")),
    person("David", "Griswold", email="novachild@gmail.com",
    role = "ctb")
  )
Description: A colour picker that can be used as an input in Shiny apps
    or Rmarkdown documents. The colour picker supports alpha opacity, custom
    colour palettes, and many more options. A Plot Colour Helper tool is
    available as an RStudio Addin, which helps you pick colours to use in your
    plots. A more generic Colour Picker RStudio Addin is also provided to let 
    you select colours to use in your R code.
URL: https://github.com/daattali/colourpicker
BugReports: https://github.com/daattali/colourpicker/issues
Depends: R (>= 3.1.0)
Imports: ggplot2, htmltools, htmlwidgets (>= 0.7), jsonlite, miniUI (>=
        0.1.1), shiny (>= 0.11.1), shinyjs, utils
Suggests: knitr (>= 1.7), rmarkdown, rstudioapi (>= 0.5)
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: no
Packaged: 2017-09-27 02:35:45 UTC; Dean
Author: Dean Attali [aut, cre],
  David Griswold [ctb]
Maintainer: Dean Attali <daattali@gmail.com>
Repository: CRAN
Date/Publication: 2017-09-27 09:15:04 UTC

=== debian/changelog ===
r-cran-colourpicker (1.0+dfsg-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 May 2020 06:12:57 +0000

r-cran-colourpicker (1.0+dfsg-3) unstable; urgency=medium

  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 21:28:50 +0200

r-cran-colourpicker (1.0+dfsg-2) unstable; urgency=medium

  * Rebuild for R 3.5 transition
  * Add comment to prevent dh-update-R removing needed Dependencies

 -- Andreas Tille <tille@debian.org>  Wed, 06 Jun 2018 14:22:26 +0200

r-cran-colourpicker (1.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #898687)

 -- Andreas Tille <tille@debian.org>  Tue, 15 May 2018 10:05:38 +0200

=== debian/control ===
Source: r-cran-colourpicker
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-ggplot2,
               r-cran-htmltools,
               r-cran-htmlwidgets,
               r-cran-jsonlite,
               r-cran-miniui,
               r-cran-shiny,
               r-cran-shinyjs
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colourpicker
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colourpicker.git
Homepage: https://cran.r-project.org/package=colourpicker
Rules-Requires-Root: no

Package: r-cran-colourpicker
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
# <dh-update-R>do not delete this since there are links to files from libjs-jquery</dh-update-R>
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R colour picker tool for selecting colours in plots
 This GNU R colour picker can be used as an input in Shiny apps
 or Rmarkdown documents. The colour picker supports alpha opacity, custom
 colour palettes, and many more options. A Plot Colour Helper tool is
 available as an RStudio Addin, which helps you pick colours to use in your
 plots. A more generic Colour Picker RStudio Addin is also provided to let
 you select colours to use in your R code.

## r-cran-colourpicker 1.1.0+dfsg

=== DESCRIPTION ===
Package: colourpicker
Type: Package
Title: A Colour Picker Tool for Shiny and for Selecting Colours in
        Plots
Version: 1.1.0
Authors@R: c(
    person("Dean", "Attali", email = "daattali@gmail.com",
    role = c("aut", "cre")),
    person("David", "Griswold", email="novachild@gmail.com",
    role = "ctb")
  )
Description: A colour picker that can be used as an input in 'Shiny' apps
    or Rmarkdown documents. The colour picker supports alpha opacity, custom
    colour palettes, and many more options. A Plot Colour Helper tool is
    available as an 'RStudio' Addin, which helps you pick colours to use in your
    plots. A more generic Colour Picker 'RStudio' Addin is also provided to let 
    you select colours to use in your R code.
URL: https://github.com/daattali/colourpicker
BugReports: https://github.com/daattali/colourpicker/issues
Depends: R (>= 3.1.0)
Imports: ggplot2, htmltools, htmlwidgets (>= 0.7), jsonlite, miniUI (>=
        0.1.1), shiny (>= 0.11.1), shinyjs (>= 2.0.0), utils
Suggests: knitr (>= 1.7), rmarkdown, rstudioapi (>= 0.5),
        shinydisconnect
License: MIT + file LICENSE
Encoding: UTF-8
LazyData: true
VignetteBuilder: knitr
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2020-09-14 20:42:59 UTC; Dean-X1C
Author: Dean Attali [aut, cre],
  David Griswold [ctb]
Maintainer: Dean Attali <daattali@gmail.com>
Repository: CRAN
Date/Publication: 2020-09-14 21:20:05 UTC

=== debian/changelog ===
r-cran-colourpicker (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 18 Sep 2020 11:29:37 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: r-cran-colourpicker
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ggplot2,

## r-cran-colourpicker 1.1.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Type: Package
 Title: A Colour Picker Tool for Shiny and for Selecting Colours in
         Plots
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(
-    person("Dean", "Attali", email = "daattali@gmail.com",
-    role = c("aut", "cre")),
+    person("Dean", "Attali", 
+        email = "daattali@gmail.com",
+        role = c("aut", "cre"),
+        comment= c(ORCID="0000-0002-5645-3493")),
     person("David", "Griswold", email="novachild@gmail.com",
     role = "ctb")
   )
@@ -24,13 +26,11 @@
         shinydisconnect
 License: MIT + file LICENSE
 Encoding: UTF-8
-LazyData: true
-VignetteBuilder: knitr
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2020-09-14 20:42:59 UTC; Dean-X1C
-Author: Dean Attali [aut, cre],
+Packaged: 2021-10-04 06:16:20 UTC; Dean-X1C
+Author: Dean Attali [aut, cre] (<https://orcid.org/0000-0002-5645-3493>),
   David Griswold [ctb]
 Maintainer: Dean Attali <daattali@gmail.com>
 Repository: CRAN
-Date/Publication: 2020-09-14 21:20:05 UTC
+Date/Publication: 2021-10-04 06:40:02 UTC

=== debian/changelog ===
r-cran-colourpicker (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Oct 2021 19:42:35 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                r-cran-jsonlite,
                r-cran-miniui,
                r-cran-shiny,
-               r-cran-shinyjs
-Standards-Version: 4.5.0
+               r-cran-shinyjs (>= 2.0.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colourpicker
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colourpicker.git
 Homepage: https://cran.r-project.org/package=colourpicker
@@ -24,7 +24,6 @@
 Architecture: all
 Depends: ${R:Depends},
          ${misc:Depends},
-# <dh-update-R>do not delete this since there are links to files from libjs-jquery</dh-update-R>
          libjs-jquery
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg[0-9]*//g,repack,compression=xz" \
  https://cran.r-project.org/src/contrib/colourpicker_([-\d.]*)\.tar\.gz

## r-cran-colourpicker 1.2.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: A Colour Picker Tool for Shiny and for Selecting Colours in
         Plots
-Version: 1.1.1
+Version: 1.2.0
 Authors@R: c(
     person("Dean", "Attali", 
         email = "daattali@gmail.com",
@@ -28,9 +28,9 @@
 Encoding: UTF-8
 RoxygenNote: 7.1.1
 NeedsCompilation: no
-Packaged: 2021-10-04 06:16:20 UTC; Dean-X1C
+Packaged: 2022-10-28 04:54:54 UTC; Dean-X1C
 Author: Dean Attali [aut, cre] (<https://orcid.org/0000-0002-5645-3493>),
   David Griswold [ctb]
 Maintainer: Dean Attali <daattali@gmail.com>
 Repository: CRAN
-Date/Publication: 2021-10-04 06:40:02 UTC
+Date/Publication: 2022-10-28 06:55:19 UTC

=== debian/changelog ===
r-cran-colourpicker (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Update lintian-overrides

 -- Andreas Tille <tille@debian.org>  Tue, 01 Nov 2022 09:39:09 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-miniui,
                r-cran-shiny,
                r-cran-shinyjs (>= 2.0.0)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colourpicker
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colourpicker.git
 Homepage: https://cran.r-project.org/package=colourpicker

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

debRreposname   := $(shell echo $(DEB_SOURCE) | sed 's/r-\([a-z]\+\)-.*/\1/')
awkString       := "'/^(Package|Bundle):/ {print $$2 }'"
cranNameOrig    := $(shell awk "$(awkString)" DESCRIPTION)
cranName        := $(shell echo "$(cranNameOrig)" | tr A-Z a-z)
package         := r-$(debRreposname)-$(cranName)
debRdir         := usr/lib/R/site-library

%:
	dh $@ --buildsystem R

override_dh_install:
	dh_install
	mkdir -p debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/examples/colourInput/www
	cp -a debian/JS/salvattore.min.js debian/$(DEB_SOURCE)/$(debRdir)/$(cranNameOrig)/examples/colourInput/www

## r-cran-colourpicker 1.3.0+dfsg

=== debian/changelog ===
r-cran-colourpicker (1.3.0+dfsg-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2023 11:37:08 +0200

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
                r-cran-jsonlite,
                r-cran-miniui,
                r-cran-shiny,
-               r-cran-shinyjs (>= 2.0.0)
-Standards-Version: 4.6.1
+               r-cran-shinyjs
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-colourpicker
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-colourpicker.git
 Homepage: https://cran.r-project.org/package=colourpicker
